Bug 1086148 (kf5) - KDE Frameworks 5
Summary: KDE Frameworks 5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: kf5
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Robert Krátký
URL:
Whiteboard: ChangeAcceptedF21 SelfContainedChange
Depends On: extra-cmake-modules 1086443 1086445 kf5-filesystem, kf5-rpmmacros kf5-attica kf5-karchive kf5-kcodecs kf5-kconfig kf5-kcoreaddons kf5-kdbusaddons kf5-kglobalaccel kf5-kguiaddons kf5-ki18n kf5-kidletime kf5-kimageformats kf5-kitemmodels kf5-kitemviews kf5-kjs kf5-kplotting kf5-kwidgetsaddons kf5-kwindowsystem kf5-solid kf5-sonnet kf5-threadweaver kf5-kdnssd kf5-kauth kf5-kcompletion kf5-kcrash 1105550 kf5-kjobwidgets kf5-kpty kf5-kunitconversion kf5-kconfigwidgets kf5-kiconthemes kf5-kservice kf5-knotifications kf5-ktextwidgets kf5-kxmlgui kf5-kbookmarks kf5-kcmutils kf5-kwallet kf5-kio kf5-kdeclarative kf5-kparts kf5-ktexteditor kf5-kdewebkit kf5-kinit kf5-kded kf5-kjsembed kf5-kdesignerplugin kf5-kdesu kf5-knotifyconfig kf5-kross kf5-knewstuff kf5-kemoticons kf5-kmediaplayer kf5-kactivities kf5-plasma kf5-krunner kf5-frameworkintegration oxygen-fonts kf5-kapidox kf5-kdelibs4support kf5-khtml kf5-kpackage kf5-kxmlrpcclient kf5-kpeople kf5-bluez-qt
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-10 08:42 UTC by Jaroslav Reznik
Modified: 2015-04-22 11:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:31 UTC
rkratky: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-10 08:42:46 UTC
This is a tracking bug for Change: KDE Frameworks 5
For more details, see: http://fedoraproject.org//wiki/Changes/KDE_Frameworks_5

KDE Frameworks 5 is a set of libraries and technologies developed in the KDE project over the past 18 years. Most of the frameworks come from the kdelibs module, which has been split, cleaned up, dependencies were strightened and packed into individual libraries. This allows developers and projects outside the KDE ecosystem to make use of these technologies and benefit from work of the KDE Community.

Comment 1 Rex Dieter 2014-05-12 14:58:44 UTC
kf5-software-development comps group added:
https://git.fedorahosted.org/cgit/comps.git/commit/?id=bad059f0164a9b1e14038ec53b966c994f8a8ece

Comment 2 Jaroslav Reznik 2014-07-04 10:43:44 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 3 Jaroslav Reznik 2014-10-07 12:23:54 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 4 Robert Krátký 2014-10-21 16:23:15 UTC
I put together a short blurb about this for the RNs. Could you please have a look, Dan?

https://fedoraproject.org/wiki/Documentation_Development_Beat#KDE_Frameworks_5

Comment 5 Daniel Vrátil 2014-10-22 07:25:24 UTC
Could you maybe be more specific that this are only *libraries*, not the KDE Workspace? Most people still imagine the workspace whenever they hear something "KDE", I'd like to avoid the confusion that we are shipping Plasma 5 in Fedora 21 (that's F22 material ;-)). Otherwise it's OK, thank you for writing it!

Comment 6 Robert Krátký 2014-10-24 19:28:04 UTC
Thanks Dan, I reworded the first paragraph, which now reads:

"Fedora 21 includes a new set of libraries for developers of C++ and Qt applications, KDE Frameworks 5, the successor to KDE Platform 4. KDE Frameworks 5 are based on Qt 5 and provide developers with access to a broad variety of technologies and tools developed by the KDE Community, without having to depend on the entire KDE platform."

Comment 7 Daniel Vrátil 2014-10-26 18:14:26 UTC
Great, thank you very much!


Note You need to log in before you can comment on or make changes to this bug.